
// BroadcastVar.java
// Andrew Davison, March 2009, ad@fivedots.coe.psu.ac.th

/* Demonstrates the use of virtual sensors, broadcast messages,
   and global variables in Scratch's remote sensor connections. 

   Used with broadVar.sb to make the cat sprite rotate clockwise
   over the space of a few seconds.

   Before this Java program is started, the Scratch program must 
   already be loaded, and remote sensor connections switched on.
*/

public class BroadcastVar
{

  public static void main(String argv[])
  {
    int[] rotations = {15, 45, 90, 30, 30, 15, 45, 90};
    ScratchIO sio = new ScratchIO();

    for(int i=0; i < rotations.length; i++) {
      System.out.println("Rotating by " + rotations[i]);
      sio.updateMsg("rotVal", "" + rotations[i]);   // update virtual sensor
      sio.broadcastMsg("doRotate");                 // broadcast message

      ScratchMessage msg = sio.readMsg();           // read global var
      System.out.println("Received: " + msg); 
      try {
        Thread.sleep(1000);
      }
      catch (InterruptedException e) {}
    }
    sio.closeDown();
  }  // end of main()

}  // end of BroadcastVar class

