
// UseBroadcasting.java
// Andrew Davison, March 2009 ad@fivedots.coe.psu.ac.th

/* Demonstrates the use of broadcast messages in Scratch's remote
   sensor connections.

   Used together with broadIO.sb

   Before this Java program is started, the Scratch program must 
   already be loaded, and remote sensor connections switched on.

*/

public class UseBroadcasting
{

  public static void main(String argv[])
  {
    ScratchIO sio = new ScratchIO();

    for(int i=0; i < 4; i++) {
      System.out.println(i + ". sending \"hi\"");
      sio.broadcastMsg("hi");
      ScratchMessage msg = sio.readMsg();
      System.out.println( "  " + i + ". received: " + msg);
      try {
        Thread.sleep(1000);
      }
      catch (InterruptedException e) {}
    }
    sio.closeDown();
  }  // end of main()


}  // end of UseBroadcasting class

